Download it now!
Bug 129526 - Orientation Toolbox Between Portrait and Landscape Do The Same Thing
Summary: Orientation Toolbox Between Portrait and Landscape Do The Same Thing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.5.0 target:6.4.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-20 15:50 UTC by Rizal Muttaqin
Modified: 2019-12-25 03:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2019-12-20 15:50:55 UTC
As discussed in LibreOffice Design's Telegram group, I would like to report Muhammet Kara's finding to let him fix the bug he have found. :)

So the "Orientation" command in Writer is a toolbox with two options : Portrait and Landscape. Strangely, these options are not persistent with their respective naming. They are basically do the same thing, toggling back and fort against page orientation.

So let me explain the step to reproduce

1. Open a new Writer document
2. Add "Orientation" command to any toolbar (Tools > Customize..., select Toolbar, search for "Orientation", click right arrow to add to the Target toolbar or right click at any active toolbar, click Customize Toolbar..., search for "Orientation", click right arrow to add to the Target toolbar)
3. By default, Writer page is portrait, then try to click "Portrait" option under Orientation toolbox, and boom! The page become landscape.
4. Go to Page sidebar, in the Orientation drop down option under Format section, the text showing Portrait (following our choice in step 3: Portrait), actually the page now is landscape.
5. Now click "Landscape" option under Orientation toolbox, the page actually become portrait and the text in the Page sidebar become Landscape (following our choice :"Lanscape)

One can assume user rarely adding "Orientation" command to the toolbar and the Orientation in the Page sidebar do the job finely. But as Muhammet said, the sidebar is a mapped implementation of the command so we should fix this strange Orientation command behavior before the situation get worse.
Comment 1 Commit Notification 2019-12-20 21:58:14 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/aeab5bfa024f7d15099730fa536d78b5a7a7ea01

tdf#129526: Prevent accidental toggling of page orientation

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2019-12-24 04:49:38 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/1ef21ea98b46267d82da017ab2fec8e05d8e638b

tdf#129526: Prevent accidental toggling of page orientation

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Rizal Muttaqin 2019-12-25 03:59:35 UTC
Verified Fixed now

Version: 6.5.0.0.alpha0+
Build ID: 0322a41224a7264bbe03a068647ab093bcc88f90
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: kf5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-12-23_08:08:16
Locale: id-ID (id_ID.UTF-8); UI-Language: en-US
Calc: threaded


teşekkür ederim Muhammet Kara